<?php
/**
 * Shopware 5
 * Copyright (c) shopware AG
 *
 * According to our dual licensing model, this program can be used either
 * under the terms of the GNU Affero General Public License, version 3,
 * or under a proprietary license.
 *
 * The texts of the GNU Affero General Public License with an additional
 * permission and of our proprietary license can be found at and
 * in the LICENSE file you have received along with this program.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Affero General Public License for more details.
 *
 * "Shopware" is a registered trademark of shopware AG.
 * The licensing of the program under the AGPLv3 does not imply a
 * trademark license. Therefore any rights, title and interest in
 * our trademarks remain entirely with us.
 */

/**
 * @group disable
 * @category  Shopware
 * @package   Shopware\Tests
 * @copyright Copyright (c) 2012, shopware AG (http://www.shopware.de)
 */
class Shopware_Tests_Models_Category_ActiveByIdQueryTest extends Enlight_Components_Test_TestCase
{
    /**
     * @var \Shopware\Models\Category\Repository
     */
    protected $repo = null;

    /**
     * @return Shopware\Models\Category\Repository
     */
    protected function getRepo() {
        if ($this->repo === null) {
            $this->repo = Shopware()->Models()->Category();
        }
        return $this->repo;
    }

    protected $expected = array(
        1=> array ( ),3=> array ( 0 => array ( 'category' => array ( 'id' => 3, 'parentId' => 1, 'name' => 'Deutsch', 'position' => 1, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => '', 'active' => true, 'template' => '', 'blog' => false, 'showFilterGroups' => false, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 1, 'categoryId' => 3, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '202', 'childrenCount' => '6', ), ),39=> array ( 0 => array ( 'category' => array ( 'id' => 39, 'parentId' => 1, 'name' => 'English', 'position' => NULL, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => '', 'active' => true, 'template' => NULL, 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 43, 'categoryId' => 39, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '107', 'childrenCount' => '6', ), ),5=> array ( 0 => array ( 'category' => array ( 'id' => 5, 'parentId' => 3, 'name' => 'Genusswelten', 'position' => 0, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => 'Genusswelten', 'active' => true, 'template' => 'article_listing_1col.tpl', 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 3, 'categoryId' => 5, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '44', 'childrenCount' => '3', ), ),6=> array ( 0 => array ( 'category' => array ( 'id' => 6, 'parentId' => 3, 'name' => 'Sommerwelten', 'position' => 3, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => 'Sommerwelten', 'active' => true, 'template' => 'article_listing_4col.tpl', 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 4, 'categoryId' => 6, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '60', 'childrenCount' => '4', ), ),8=> array ( 0 => array ( 'category' => array ( 'id' => 8, 'parentId' => 3, 'name' => 'Wohnwelten', 'position' => 2, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => 'Wohnwelten', 'active' => true, 'template' => 'article_listing_4col.tpl', 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 6, 'categoryId' => 8, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '49', 'childrenCount' => '3', ), ),9=> array ( 0 => array ( 'category' => array ( 'id' => 9, 'parentId' => 3, 'name' => 'Freizeitwelten', 'position' => 1, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => 'Freizeitwelten', 'active' => true, 'template' => '', 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 7, 'categoryId' => 9, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '27', 'childrenCount' => '2', ), ),10=> array ( 0 => array ( 'category' => array ( 'id' => 10, 'parentId' => 3, 'name' => 'Beispiele', 'position' => 4, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => 'Beispiele', 'active' => true, 'template' => '', 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 8, 'categoryId' => 10, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '37', 'childrenCount' => '11', ), ),17=> array ( 0 => array ( 'category' => array ( 'id' => 17, 'parentId' => 3, 'name' => 'Trends + News', 'position' => 3, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => 'Blogfunktion', 'active' => true, 'template' => '', 'blog' => true, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 15, 'categoryId' => 17, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '0', 'childrenCount' => '0', ), ),42=> array ( 0 => array ( 'category' => array ( 'id' => 42, 'parentId' => 39, 'name' => 'Trends + News', 'position' => 0, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => '', 'active' => true, 'template' => NULL, 'blog' => true, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 46, 'categoryId' => 42, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '0', 'childrenCount' => '0', ), ),43=> array ( 0 => array ( 'category' => array ( 'id' => 43, 'parentId' => 39, 'name' => 'Worlds of indulgence', 'position' => 1, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => '', 'active' => true, 'template' => NULL, 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 47, 'categoryId' => 43, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '36', 'childrenCount' => '3', ), ),44=> array ( 0 => array ( 'category' => array ( 'id' => 44, 'parentId' => 39, 'name' => 'Leisure worlds', 'position' => 2, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => '', 'active' => true, 'template' => NULL, 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 48, 'categoryId' => 44, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '11', 'childrenCount' => '2', ), ),45=> array ( 0 => array ( 'category' => array ( 'id' => 45, 'parentId' => 39, 'name' => 'Home sweet home', 'position' => 3, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => '', 'active' => true, 'template' => NULL, 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 49, 'categoryId' => 45, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '16', 'childrenCount' => '3', ), ),46=> array ( 0 => array ( 'category' => array ( 'id' => 46, 'parentId' => 39, 'name' => 'Summertime', 'position' => 4, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => '', 'active' => true, 'template' => NULL, 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 50, 'categoryId' => 46, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '19', 'childrenCount' => '4', ), ),61=> array ( 0 => array ( 'category' => array ( 'id' => 61, 'parentId' => 39, 'name' => 'Examples', 'position' => NULL, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => '', 'active' => true, 'template' => NULL, 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 65, 'categoryId' => 61, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '33', 'childrenCount' => '9', ), ),11=> array ( 0 => array ( 'category' => array ( 'id' => 11, 'parentId' => 5, 'name' => 'Tees und Zubehör', 'position' => 0, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => 'Tees und Zubehör', 'active' => true, 'template' => 'article_listing_3col.tpl', 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 9, 'categoryId' => 11, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '23', 'childrenCount' => '2', ), ),14=> array ( 0 => array ( 'category' => array ( 'id' => 14, 'parentId' => 5, 'name' => 'Edelbrände', 'position' => 0, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => 'Die besten Edelbrände', 'active' => true, 'template' => 'article_listing_1col.tpl', 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 12, 'categoryId' => 14, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '12', 'childrenCount' => '0', ), ),15=> array ( 0 => array ( 'category' => array ( 'id' => 15, 'parentId' => 5, 'name' => 'Köstlichkeiten', 'position' => 0, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => 'Köstlichkeiten', 'active' => true, 'template' => 'article_listing_2col.tpl', 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 13, 'categoryId' => 15, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '9', 'childrenCount' => '0', ), ),16=> array ( 0 => array ( 'category' => array ( 'id' => 16, 'parentId' => 9, 'name' => 'Entertainment', 'position' => 1, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => '', 'active' => true, 'template' => 'article_listing_2col.tpl', 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 14, 'categoryId' => 16, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '17', 'childrenCount' => '0', ), ),19=> array ( 0 => array ( 'category' => array ( 'id' => 19, 'parentId' => 10, 'name' => 'Crossselling', 'position' => 6, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => 'Crossselling', 'active' => true, 'template' => 'article_listing_2col.tpl', 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 17, 'categoryId' => 19, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '2', 'childrenCount' => '0', ), ),20=> array ( 0 => array ( 'category' => array ( 'id' => 20, 'parentId' => 10, 'name' => 'Darstellung', 'position' => 5, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => 'Artikeldarstellung im Listing.', 'active' => true, 'template' => 'article_listing_1col.tpl', 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 18, 'categoryId' => 20, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '6', 'childrenCount' => '0', ), ),21=> array ( 0 => array ( 'category' => array ( 'id' => 21, 'parentId' => 10, 'name' => 'Produktvergleiche & Filter', 'position' => 4, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => 'Eigenschaften und Filter', 'active' => true, 'template' => 'article_listing_2col.tpl', 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 19, 'categoryId' => 21, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '10', 'childrenCount' => '0', ), ),22=> array ( 0 => array ( 'category' => array ( 'id' => 22, 'parentId' => 10, 'name' => 'Konfiguratorartikel', 'position' => 2, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => 'Das Plugin Artikelkonfigurator', 'active' => true, 'template' => 'article_listing_1col.tpl', 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 20, 'categoryId' => 22, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '4', 'childrenCount' => '0', ), ),23=> array ( 0 => array ( 'category' => array ( 'id' => 23, 'parentId' => 10, 'name' => 'Preisgestaltung', 'position' => 10, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => 'Möglichkeiten der Preisgestaltung', 'active' => true, 'template' => 'article_listing_1col.tpl', 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 21, 'categoryId' => 23, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '4', 'childrenCount' => '0', ), ),24=> array ( 0 => array ( 'category' => array ( 'id' => 24, 'parentId' => 10, 'name' => 'Versandkosten', 'position' => 7, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => 'Versandkosteneinstellungen', 'active' => true, 'template' => 'article_listing_1col.tpl', 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 22, 'categoryId' => 24, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '4', 'childrenCount' => '0', ), ),25=> array ( 0 => array ( 'category' => array ( 'id' => 25, 'parentId' => 10, 'name' => 'Zahlungsarten', 'position' => 8, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => 'Zahlungsarten & Riskmanagement', 'active' => true, 'template' => 'article_listing_1col.tpl', 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 23, 'categoryId' => 25, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '3', 'childrenCount' => '0', ), ),27=> array ( 0 => array ( 'category' => array ( 'id' => 27, 'parentId' => 10, 'name' => 'In Kürze verfügbar', 'position' => 0, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => 'In Kürze verfügbar', 'active' => true, 'template' => '', 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 25, 'categoryId' => 27, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '0', 'childrenCount' => '0', ), ),30=> array ( 0 => array ( 'category' => array ( 'id' => 30, 'parentId' => 10, 'name' => 'Kundenbindung', 'position' => 3, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => 'Funktionen zur Kundenbindung', 'active' => true, 'template' => 'article_listing_1col.tpl', 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 28, 'categoryId' => 30, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '3', 'childrenCount' => '0', ), ),31=> array ( 0 => array ( 'category' => array ( 'id' => 31, 'parentId' => 9, 'name' => 'Vintage', 'position' => 0, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => '', 'active' => true, 'template' => 'article_listing_2col.tpl', 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 35, 'categoryId' => 31, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '10', 'childrenCount' => '0', ), ),32=> array ( 0 => array ( 'category' => array ( 'id' => 32, 'parentId' => 8, 'name' => 'Möbel', 'position' => 0, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => 'Möbel', 'active' => true, 'template' => '', 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 36, 'categoryId' => 32, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '16', 'childrenCount' => '0', ), ),33=> array ( 0 => array ( 'category' => array ( 'id' => 33, 'parentId' => 8, 'name' => 'Küchenzubehör', 'position' => 0, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => 'Vielfältiges Zubehör für Ihre Küche', 'active' => true, 'template' => '', 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 37, 'categoryId' => 33, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '18', 'childrenCount' => '0', ), ),34=> array ( 0 => array ( 'category' => array ( 'id' => 34, 'parentId' => 6, 'name' => 'Beachwear', 'position' => 0, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => '', 'active' => true, 'template' => '', 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 38, 'categoryId' => 34, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '18', 'childrenCount' => '0', ), ),35=> array ( 0 => array ( 'category' => array ( 'id' => 35, 'parentId' => 6, 'name' => 'Beauty & Care', 'position' => 0, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => '', 'active' => true, 'template' => '', 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 39, 'categoryId' => 35, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '12', 'childrenCount' => '0', ), ),36=> array ( 0 => array ( 'category' => array ( 'id' => 36, 'parentId' => 6, 'name' => 'On World Tour', 'position' => 0, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => '', 'active' => true, 'template' => '', 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 40, 'categoryId' => 36, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '11', 'childrenCount' => '0', ), ),37=> array ( 0 => array ( 'category' => array ( 'id' => 37, 'parentId' => 6, 'name' => 'Accessoires', 'position' => 0, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => '', 'active' => true, 'template' => 'article_listing_2col.tpl', 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 41, 'categoryId' => 37, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '11', 'childrenCount' => '0', ), ),38=> array ( 0 => array ( 'category' => array ( 'id' => 38, 'parentId' => 8, 'name' => 'Dekoration', 'position' => NULL, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => 'Mit der richtigen Dekoration in eine Wohlfühlwelt', 'active' => true, 'template' => 'article_listing_1col.tpl', 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 42, 'categoryId' => 38, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '14', 'childrenCount' => '0', ), ),47=> array ( 0 => array ( 'category' => array ( 'id' => 47, 'parentId' => 43, 'name' => 'Teas and Accessories', 'position' => NULL, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => '', 'active' => true, 'template' => NULL, 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 51, 'categoryId' => 47, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '19', 'childrenCount' => '2', ), ),50=> array ( 0 => array ( 'category' => array ( 'id' => 50, 'parentId' => 43, 'name' => 'Brandies', 'position' => NULL, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => '', 'active' => true, 'template' => NULL, 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 54, 'categoryId' => 50, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '12', 'childrenCount' => '0', ), ),51=> array ( 0 => array ( 'category' => array ( 'id' => 51, 'parentId' => 43, 'name' => 'Delights', 'position' => NULL, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => '', 'active' => true, 'template' => NULL, 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 55, 'categoryId' => 51, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '5', 'childrenCount' => '0', ), ),52=> array ( 0 => array ( 'category' => array ( 'id' => 52, 'parentId' => 44, 'name' => 'Vintage', 'position' => NULL, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => '', 'active' => true, 'template' => NULL, 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 56, 'categoryId' => 52, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '5', 'childrenCount' => '0', ), ),53=> array ( 0 => array ( 'category' => array ( 'id' => 53, 'parentId' => 44, 'name' => 'Entertainment', 'position' => NULL, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => '', 'active' => true, 'template' => NULL, 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 57, 'categoryId' => 53, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '6', 'childrenCount' => '0', ), ),54=> array ( 0 => array ( 'category' => array ( 'id' => 54, 'parentId' => 45, 'name' => 'Furniture', 'position' => NULL, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => '', 'active' => true, 'template' => NULL, 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 58, 'categoryId' => 54, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '6', 'childrenCount' => '0', ), ),55=> array ( 0 => array ( 'category' => array ( 'id' => 55, 'parentId' => 45, 'name' => 'Kitchen Accessories', 'position' => NULL, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => '', 'active' => true, 'template' => NULL, 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 59, 'categoryId' => 55, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '5', 'childrenCount' => '0', ), ),56=> array ( 0 => array ( 'category' => array ( 'id' => 56, 'parentId' => 45, 'name' => 'Decoration', 'position' => NULL, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => '', 'active' => true, 'template' => NULL, 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 60, 'categoryId' => 56, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '5', 'childrenCount' => '0', ), ),57=> array ( 0 => array ( 'category' => array ( 'id' => 57, 'parentId' => 46, 'name' => 'Beachwear', 'position' => NULL, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => '', 'active' => true, 'template' => NULL, 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 61, 'categoryId' => 57, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '6', 'childrenCount' => '0', ), ),58=> array ( 0 => array ( 'category' => array ( 'id' => 58, 'parentId' => 46, 'name' => 'Beauty & Care', 'position' => NULL, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => '', 'active' => true, 'template' => NULL, 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 62, 'categoryId' => 58, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '4', 'childrenCount' => '0', ), ),59=> array ( 0 => array ( 'category' => array ( 'id' => 59, 'parentId' => 46, 'name' => 'Travel around the World', 'position' => NULL, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => '', 'active' => true, 'template' => NULL, 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 63, 'categoryId' => 59, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '5', 'childrenCount' => '0', ), ),60=> array ( 0 => array ( 'category' => array ( 'id' => 60, 'parentId' => 46, 'name' => 'Accessories', 'position' => NULL, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => '', 'active' => true, 'template' => NULL, 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 64, 'categoryId' => 60, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '4', 'childrenCount' => '0', ), ),62=> array ( 0 => array ( 'category' => array ( 'id' => 62, 'parentId' => 61, 'name' => 'Available soon', 'position' => NULL, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => '', 'active' => true, 'template' => NULL, 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 66, 'categoryId' => 62, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '0', 'childrenCount' => '0', ), ),64=> array ( 0 => array ( 'category' => array ( 'id' => 64, 'parentId' => 61, 'name' => 'Customer loyalty', 'position' => NULL, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => '', 'active' => true, 'template' => 'article_listing_1col.tpl', 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 68, 'categoryId' => 64, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '3', 'childrenCount' => '0', ), ),65=> array ( 0 => array ( 'category' => array ( 'id' => 65, 'parentId' => 61, 'name' => 'Configurator articles', 'position' => NULL, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => '', 'active' => true, 'template' => 'article_listing_1col.tpl', 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 69, 'categoryId' => 65, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '4', 'childrenCount' => '0', ), ),67=> array ( 0 => array ( 'category' => array ( 'id' => 67, 'parentId' => 61, 'name' => 'Product comparison', 'position' => NULL, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => '', 'active' => true, 'template' => 'article_listing_2col.tpl', 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 71, 'categoryId' => 67, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '6', 'childrenCount' => '0', ), ),68=> array ( 0 => array ( 'category' => array ( 'id' => 68, 'parentId' => 61, 'name' => 'Presentation', 'position' => NULL, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => '', 'active' => true, 'template' => 'article_listing_2col.tpl', 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 72, 'categoryId' => 68, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '6', 'childrenCount' => '0', ), ),69=> array ( 0 => array ( 'category' => array ( 'id' => 69, 'parentId' => 61, 'name' => 'Crossselling', 'position' => NULL, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => '', 'active' => true, 'template' => 'article_listing_1col.tpl', 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 73, 'categoryId' => 69, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '2', 'childrenCount' => '0', ), ),71=> array ( 0 => array ( 'category' => array ( 'id' => 71, 'parentId' => 61, 'name' => 'Payment methods', 'position' => NULL, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => '', 'active' => true, 'template' => 'article_listing_1col.tpl', 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 75, 'categoryId' => 71, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '3', 'childrenCount' => '0', ), ),72=> array ( 0 => array ( 'category' => array ( 'id' => 72, 'parentId' => 61, 'name' => 'Shipping costs', 'position' => NULL, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => '', 'active' => true, 'template' => 'article_listing_1col.tpl', 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 76, 'categoryId' => 72, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '5', 'childrenCount' => '0', ), ),73=> array ( 0 => array ( 'category' => array ( 'id' => 73, 'parentId' => 61, 'name' => 'Price strategies', 'position' => NULL, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => '', 'active' => true, 'template' => 'article_listing_1col.tpl', 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 77, 'categoryId' => 73, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '4', 'childrenCount' => '0', ), ),74=> array ( 0 => array ( 'category' => array ( 'id' => 74, 'parentId' => 10, 'name' => 'Kundengruppen / B2B', 'position' => 7, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => 'Kundengruppen', 'active' => true, 'template' => 'article_listing_1col.tpl', 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 78, 'categoryId' => 74, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '1', 'childrenCount' => '0', ), ),75=> array ( ),12=> array ( 0 => array ( 'category' => array ( 'id' => 12, 'parentId' => 11, 'name' => 'Tees', 'position' => 0, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => 'Tees', 'active' => true, 'template' => 'article_listing_2col.tpl', 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 10, 'categoryId' => 12, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '14', 'childrenCount' => '0', ), ),13=> array ( 0 => array ( 'category' => array ( 'id' => 13, 'parentId' => 11, 'name' => 'Tee-Zubehör', 'position' => 1, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => 'Tee-Zubehör', 'active' => true, 'template' => 'article_listing_1col.tpl', 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 11, 'categoryId' => 13, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '9', 'childrenCount' => '0', ), ),48=> array ( 0 => array ( 'category' => array ( 'id' => 48, 'parentId' => 47, 'name' => 'Teas', 'position' => NULL, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => '', 'active' => true, 'template' => NULL, 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 52, 'categoryId' => 48, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '14', 'childrenCount' => '0', ), ),49=> array ( 0 => array ( 'category' => array ( 'id' => 49, 'parentId' => 47, 'name' => 'Teas and accessories', 'position' => NULL, 'metaKeywords' => NULL, 'metaDescription' => '', 'cmsHeadline' => '', 'active' => true, 'template' => NULL, 'blog' => false, 'showFilterGroups' => true, 'external' => '', 'hideFilter' => false, 'hideTop' => false, 'noViewSelect' => false, 'media' => NULL, 'attribute' => array ( 'id' => 53, 'categoryId' => 49, 'attribute1' => '', 'attribute2' => '', 'attribute3' => '', 'attribute4' => '', 'attribute5' => '', 'attribute6' => '', ), 'emotions' => NULL, 'articles' => NULL, ), 'articleCount' => '5', 'childrenCount' => '0', ), ),
    );

    public function testQuery() {
        foreach($this->expected as $id => $expected) {
            $query = $this->getRepo()->getActiveByIdQuery($id);
            $data = $this->removeDates($query->getArrayResult());
            $this->assertEquals($data, $expected);
        }
    }

    protected function removeDates($data) {
        foreach($data as &$subCategory) {
            unset($subCategory['category']['changed']);
            unset($subCategory['category']['cmsText']);
            unset($subCategory['category']['added']);
            foreach($subCategory['category']['emotions'] as &$emotion) {
                unset($emotion['createDate']);
                unset($emotion['modified']);
            }
            foreach($subCategory['category']['articles'] as &$article) {
                unset($article['added']);
                unset($article['changed']);
                unset($article['description']);
                unset($article['descriptionLong']);
                unset($article['mainDetail']['releaseDate']);
            }
        }
        return $data;
    }

}
